/*
 * Header file for callback functions
 * Copyright (C) 2001 Jan Oberlnder <mindriot@gmx.net>
 *
 * This file is part of netload_applet.
 *
 * netload_applet is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: callbacks.h,v 1.1.1.1 2001/03/08 03:01:56 mindriot Exp $
 */

#ifndef CALLBACKS_H
#define CALLBACKS_H

#include <config.h>
#include <gnome.h>
#include <applet-widget.h>

#include "netload_applet.h"
#include "globals.h"
#include "interface.h"
#include "callbacks.h"

void
on_load_theme_button_clicked (GtkButton *button, gpointer user_data);

void
on_save_theme_button_clicked (GtkButton *button, gpointer user_data);

void
on_apply_button_clicked (GtkButton *button, gpointer user_data);

void
on_ok_button_clicked (GtkButton *button, gpointer user_data);

void
on_close_button_clicked (GtkButton *button, gpointer user_data);

void
on_apply_button_clicked (GtkButton *button, gpointer user_data);

gboolean
on_pref_window_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data);

gboolean
on_pref_window_destroy_event (GtkWidget *widget, GdkEvent *event, gpointer user_data);

void
pref_handler (AppletWidget *applet, gpointer data);

void
destroy_handler_main (GtkWidget *widget, gpointer data);

void
about_handler (AppletWidget *applet, gpointer data);

gboolean
redraw_handler (GtkWidget *widget, GdkEventExpose *event, gpointer data);

gint
timeout_handler (gpointer data);

gboolean
session_save_handler (GtkWidget *w, const char *privcfgpath, const char *globcfgpath);

#ifdef HAVE_PANEL_PIXEL_SIZE
void
change_pixel_size_handler (GtkWidget *widget, int size, gpointer data);
#endif

#endif
